POST
/control-plane/api/v1/v1/organizations/{organization_id}/git-provider/callback
Authentication
API Key (BearerAuth)
Header:
Authorization
Path Parameters
organization_idstringrequired
Organization ID
Request Body
OAuth callback data
Required
codestring
installation_idstring
For GitHub App
providerstringrequired
statestring
Example:
{
"code": "string",
"installation_id": "string",
"provider": "string",
"state": "string"
}Responses
201
Created
Response Fields:
account_name(string)account_type(string)auth_method(string)avatar_url(string)created_at(string)external_id(string)id(string)organization_id(string)provider(string)status(string)
Example:
{
"account_name": "string",
"account_type": "string",
"auth_method": "string",
"avatar_url": "string",
"created_at": "string",
"external_id": "string",
"id": "string",
"organization_id": "string",
"provider": "string",
"status": "string"
}400
Bad Request
Example:
{
"key": "value"
}401
Unauthorized
Example:
{
"key": "value"
}500
Internal Server Error
Example:
{
"key": "value"
}